%define dracutmodulesdir %{_prefix}/lib/dracut/modules.d

Name:          dracut-automotive
Version:       0.1
Release:       1%{?dist}
Summary:       A random collection of dracut scripts for automotive
License:       GPL-2.0-only
URL:           https://gitlab.com/CentOS/automotive/rpms/dracut-automotive
Source0:       module-setup.sh
Source1:       mount-sysroot.service

BuildRequires: systemd
Requires: dracut
Requires: systemd

%description
%{summary}.

%prep

%build

%install
install -D -m755 %{SOURCE0} ${RPM_BUILD_ROOT}/%{dracutmodulesdir}/01systemd-initrd-automotive/module-setup.sh
install -D -m644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_unitdir}/mount-sysroot.service

%files
%{dracutmodulesdir}/01systemd-initrd-automotive
%{_unitdir}/mount-sysroot.service

%changelog
* Wed May 22 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-1
- Initial version

